Skip to main content
This endpoint allows you to orchestrate complex payment flows, by breaking the transaction into multiple destination accounts, for example to account for partner commission, transaction routing, and so on.
curl -X POST 'https://developers.flouci.com/api/v2/generate_payment' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <PUBLIC_KEY>:<PRIVATE_KEY>' \
  -d '{
    "amount": 10000,
    "success_link": "https://your-website.com/success",
    "fail_link": "https://your-website.com/fail",
    "webhook": "https://your-website.com/webhook",
    "developer_tracking_id": "<YOUR_TRACKING_ID>",
    "destination": [
        {
            "amount": 8000,
            "destination": "1234"
        }  ,{
            "amount": 2000,
            "destination": "4321"
        }
    ]
  }'

Body

amount
integer
required
The amount to be paid in millimes.
The URL to redirect the user to after a successful payment.
The URL to redirect the user to after a failed payment.
webhook
string
The webhook URL you want to receive payment confirmation on.
developer_tracking_id
string
An ID for you to track the payment. This is a free field that Flouci doesn’t check against.
accept_card
boolean
default:"false"
Whether to accept card payments.
image_url
URL
The URL of the image to display on the payment page. This field is optional, and the default image is the image of the merchant in the Flouci portal.
session_timeout_secs
integer
default:"1200"
The session timeout in seconds.
destination
array
A list of destination objects specifying the distribution of the transaction amount. Each destination must include:
  • amount (integer): The amount in millimes to send to this destination. The sum of all destination amounts must not exceed the total amount of the transaction.
  • destination (string): A valid Flouci Merchant ID that can receive the funds
{
  "result": {
    "payment_id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
    "link": "https://flouci.com/pay/a1b2c3d4-e5f6-7890-1234-567890abcdef"
  }
}